Bug 1026641 - Missing/unavailable dependencie jboss.ejb.view-method-security-attributes.foo.bar when deploy ejb type webservice
Missing/unavailable dependencie jboss.ejb.view-method-security-attributes.foo...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: CR1
: EAP 6.2.0
Assigned To: Jim Ma
Rostislav Svoboda
Russell Dickenson
:
Depends On:
Blocks: 1026269
  Show dependency treegraph
 
Reported: 2013-11-05 01:48 EST by Jim Ma
Modified: 2013-12-15 11:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:15:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Ma 2013-11-05 01:48:57 EST
Exception is thrown when deploy an ejb webservice without the security domain defined : 
11:34:18,075 ERROR [org.jboss.as.server] (DeploymentScanner-threads - 1) JBAS015870: Deploy of deployment "WSJarDeploy.jar" was rolled back with the following failure message:
{"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.ws.endpoint.\"WSJar.jar\".WSJar is missing [jboss.ejb.view-method-security-attributes.WSJar_component.WSJar_component.WSJar.\"org.jboss.ws.HelloWsBean\"]"]}
Comment 4 Rostislav Svoboda 2013-11-12 02:32:45 EST
This issue was verified using the 6.2.0.CR1 preview bits.

OK - https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/TCK6-EAP6/job/tck6-eap6-webservices13/
OK - https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/TCK6-EAP6/job/tck6-eap6-webservices12/
OK - https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/TCK6-EAP6/job/tck6-eap6-ejb30-webservice/

1 failed test related to JMS  - https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/TCK6-EAP6/job/tck6-eap6-ejb30-bb/ 
 -- failure of Client_isPostConstructCalledTest
 -- this TCK module was executed on slow machine, message wasn't received in expected timeout
 -- running again on faster machine
 -- not related to WS

Note You need to log in before you can comment on or make changes to this bug.